var Tooltip = Class.create();
Tooltip.prototype = {
	initialize: function(el_link, el_tip) {
		this.element = $(el_link);
		this.tip = $(el_tip);
		this.text = this.element.getAttribute('title');
		this.element.setAttribute('title', '');
		this.effect = new fx.Opacity(this.tip, {duration: 230});
		this.effect.hide();
		this.flag = false;
		this.eventMouseEnter = this.showTip.bindAsEventListener(this);
		this.eventMouseOut = this.hideTip.bindAsEventListener(this);
		this.eventMouseMove = this.moveTip.bindAsEventListener(this);
		Event.observe(this.element, "mouseover", this.eventMouseEnter);
		Event.observe(this.element, "mouseout", this.eventMouseOut);
		Event.observe(document, "mousemove", this.eventMouseMove);
	},

	showTip: function(ev) {
		this.text = this.text.replace(new RegExp("#13;", "g"), "<br/>");
		this.tip.innerHTML = this.text;
		this.effect.custom(0, 0.88);
		this.flag = true;
		Event.stop(ev);
	},

	hideTip: function(ev) {
		if (this.flag) {
			this.effect.clearTimer();
			this.effect.hide();
			this.flag = false;
		}
	},

	moveTip: function(ev) {
		if (this.flag) {
			var p = {x:Event.pointerX(ev), y:Event.pointerY(ev)};
			this.tip.style.left = p.x + 'px';
			this.tip.style.top = (p.y + 22) + 'px';
		}
	}
}

var elTip;
var tips = [];
window.onload = function() {
	elTip = document.createElement('div');
	Element.addClassName(elTip, 'tooltip');
	document.body.appendChild(elTip);

	els = document.getElementsByTagName('span');
	for (i = 0; i < els.length; i++) {
		var t = els[i].getAttribute('title');
		if (t == '' || t == null) continue;
		tips.push(new Tooltip(els[i], elTip));
	}
}